unit Rptsub;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, DB, DBTables, Qrctrls, quickrpt, ExtCtrls;

type
  TfrmReport = class(TForm)
    dsCustomer: TDataSource;
    tbCustomer: TTable;
    tbOrders: TTable;
    QuickRep1: TQuickRep;
    DetailBand1: TQRBand;
    QRDBText1: TQRDBText;
    QRDBText2: TQRDBText;
    QRDBText3: TQRDBText;
    QRDBText4: TQRDBText;
    QRExpr1: TQRExpr;
    QRSubDetail1: TQRSubDetail;
    QRDBText5: TQRDBText;
    QRDBText6: TQRDBText;
    QRDBText7: TQRDBText;
    QRDBText8: TQRDBText;
    GroupFooterBand1: TQRBand;
    QRExpr2: TQRExpr;
    QRLabel1: TQRLabel;
    GroupHeaderBand1: TQRBand;
    QRLabel2: TQRLabel;
    QRLabel3: TQRLabel;
    QRLabel4: TQRLabel;
    QRLabel5: TQRLabel;
    ColumnHeaderBand1: TQRBand;
    QRLabel7: TQRLabel;
    QRLabel8: TQRLabel;
    tbItems: TTable;
    dsOrders: TDataSource;
    QRSubDetail2: TQRSubDetail;
    QRDBText9: TQRDBText;
    QRDBText10: TQRDBText;
    QRDBText11: TQRDBText;
    QRLabel6: TQRLabel;
    QRLabel9: TQRLabel;
    QRLabel10: TQRLabel;
    qryVendors: TQuery;
    QRSubDetailVendor: TQRSubDetail;
    QRDBText12: TQRDBText;
    QRVendorHeader: TQRBand;
    QRLabel11: TQRLabel;
    QRDBText13: TQRDBText;
    QRDBText14: TQRDBText;
    QRLabel12: TQRLabel;
    QRLabel13: TQRLabel;
    QRLabel14: TQRLabel;
    QRLabel15: TQRLabel;
    procedure DetailBand1BeforePrint(Sender: TQRCustomBand;
      var PrintBand: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmReport: TfrmReport;

implementation

{$R *.DFM}

procedure TfrmReport.DetailBand1BeforePrint(Sender: TQRCustomBand;
  var PrintBand: Boolean);
begin
{
  Since we are using a TQuery for a subdetail band, we have to ways of linking
  the vendor query to the master customer table.  We can link them by dataset,
  and Delphi will look for the named parameters of the vendor query in the
  customer table.  Another way would be to manually pass in the parameters at
  runtime using the code commented out below.  This would be useful for queries
  that need parameters that are not in the master dataset.
}
{
  with qryVendors do
  begin
    Close;
    Params[0].AsString := tbCustomer.FieldByName('State').AsString;
    Open;
  end;
}
end;

end.
